Subject: [PATCH] Add a guilt-export(1) command to export a guilt series to quilt.

From: Pierre Habouzit <[email-masked]>
Date: Wed, 13 Jun 2007 16:01:53 +0200

Signed-off-by: Pierre Habouzit <[email-masked]>
---
 Documentation/guilt-export.txt |   30 ++++++++++++++++++++++++++++++
 guilt-export                   |   26 ++++++++++++++++++++++++++
 2 files changed, 56 insertions(+), 0 deletions(-)
 create mode 100644 Documentation/guilt-export.txt
 create mode 100755 guilt-export

diff --git a/Documentation/guilt-export.txt b/Documentation/guilt-export.txt
new file mode 100644
index 0000000..b7b0a4b
--- /dev/null
+++ b/Documentation/guilt-export.txt
@@ -0,0 +1,30 @@
+guilt-export(1)
+===============
+
+NAME
+----
+guilt-export - Export a patch series (to be used by quilt)
+
+SYNOPSIS
+--------
+include::usage-guilt-export.txt[]
+
+DESCRIPTION
+-----------
+Export a guilt series to be used by quilt.
+
+OPTIONS
+-------
+<target_dir>::
+        Name of the directory to export the patch series to.
+        (defaults to patches).
+
+Author
+------
+Written by Pierre Habouzit <[email-masked]>
+
+Documentation
+-------------
+Documentation by Pierre Habouzit <[email-masked]>
+
+include::footer.txt[]
diff --git a/guilt-export b/guilt-export
new file mode 100755
index 0000000..9ff9924
--- /dev/null
+++ b/guilt-export
@@ -0,0 +1,26 @@
+#!/bin/bash
+#
+# Copyright (c) Pierre Habouzit, 2007
+#
+
+USAGE="[<target_dir>]"
+. guilt
+
+if [ $# -gt 1 ]; then
+	usage
+fi
+target_dir=${1:-"patches"}
+
+if [ -e "$target_dir" ]; then
+	die "Specified directory already exists"
+fi
+
+trap "rm -rf \"$target_dir\"" 0
+mkdir -p "$target_dir"
+
+get_series | tee "$target_dir/series" | while read p; do
+	cp "$GUILT_DIR/$branch/$p" "$target_dir/$p"
+done
+
+trap - 0
+echo "Series exported to \"$target_dir\" sucessfully."
-- 
1.5.2.1